### Function

# Pango tailor_break

since: 1.44

#### Declaration [src]

    void
    pango_tailor_break (
      const char* text,
      int length,
      PangoAnalysis* analysis,
      int offset,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

Apply language-specific tailoring to the breaks in `attrs`.

The line breaks are assumed to have been produced by `pango_default_break()`.

If `offset` is not -1, it is used to apply attributes from `analysis` that are relevant to line breaking.

Note that it is better to pass -1 for `offset` and use `pango_attr_break()` to apply attributes to the whole paragraph.

Available since: 1.44

#### Parameters

`text`

  Type: `const char*`

  Text to process. Must be valid UTF-8

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length in bytes of `text`.

`analysis`

  Type: `PangoAnalysis`

  `PangoAnalysis` for `text`.

  The data is owned by the caller of the function.

`offset`

  Type: `int`

  Byte offset of `text` from the beginning of the paragraph, or -1 to ignore attributes from `analysis`.

`attrs`

  Type: An array of `PangoLogAttr`

  Array with one `PangoLogAttr` per character in `text`, plus one extra, to be filled in.

  The length of the array is specified in the `attrs_len` argument.
  The data is owned by the caller of the function.

`attrs_len`

  Type: `int`

  Length of `attrs` array.